Bug 186662 - Suggestion: Change confusing wording in bsd.licenses.mk
Summary: Suggestion: Change confusing wording in bsd.licenses.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-11 19:30 UTC by Thomas Zander
Modified: 2014-06-16 05:47 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.49 KB, patch)
2014-02-11 19:30 UTC, Thomas Zander
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Zander freebsd_committer 2014-02-11 19:30:00 UTC
The explanation of the different permissions in bsd.licenses.mk
reads quite counterintuitive and is probably often misinterpreted.

Fix: I propose to commit the attached diff to Mk/bsd.licenses.mk

Patch attached with submission follows:
How-To-Repeat: Read the sections "Available components for LICENSE_PERMS" and
"Notes about permissions" in bsd.licenses.mk.
Comment 1 Thomas Zander freebsd_committer 2014-02-11 19:32:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Request portmgr to review this proposal.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2014-06-02 01:56:43 UTC
Infrastructure PR.
Comment 3 Baptiste Daroussin freebsd_committer 2014-06-15 23:12:48 UTC
Approved, please commit
Comment 4 commit-hook freebsd_committer 2014-06-16 05:45:40 UTC
A commit references this bug:

Author: riggs
Date: Mon Jun 16 05:45:15 UTC 2014
New revision: 357945
URL: http://svnweb.freebsd.org/changeset/ports/357945

Log:
  - Rewrite explanation of LICENSE_PERM components (dist-mirror dist-sell
    pkg-mirror pkg-sell auto-accept) to make it more clear to the reader

  PR:		186662
  Submitted by:	riggs
  Reviewed by:	bapt, mentors
  Approved by:	portmgr (bapt), mentors (implicit)

Changes:
  head/Mk/bsd.licenses.mk